
#include <Wire.h>
#include <cdce913.h>

CDCE913 cdce913;

void setup() {
  // put your setup code here, to run once:
  Serial.begin(9600);
  pinMode(LED_BUILTIN, OUTPUT);

  Serial.println("v3.3");

  if (cdce913.init(25.0)) {
    Serial.println("CDCE913 init OK");
  } else {
    Serial.println("CDCE913 init ERROR");
  }
  
}

//double f = 225.0;

void loop() {
    
  while (Serial.available() > 0) {
    double pDiv = Serial.parseFloat();

    if (Serial.read() == '\n') {
        Serial.print(pDiv, 3);
        Serial.println(" MHz");
      if (cdce913.setFout(pDiv)) {
        Serial.println("Ok");
      } else {
        Serial.println("Error");
      }
    }
  }

//  f += 0.01;
//  if (f > 227.0) f = 225.0;
//  
//  Serial.println(f);
//  if (cdce913.setFvco(f)) {
//    Serial.println("OK");
//  } else {
//    Serial.println("Error");
//  }
  
  
  digitalWrite(LED_BUILTIN, HIGH);   // turn the LED on (HIGH is the voltage level)
  delay(10);                        // wait for a second
  digitalWrite(LED_BUILTIN, LOW);    // turn the LED off by making the voltage LOW
  delay(90);                        // wait for a second

  
}
